Main Page Class Hierarchy Compound List File List Compound Members File Members

# STREAM_K2_RW_PARMS Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
unsigned char | filterFlag
unsigned char | primaryStorage
unsigned char | secondaryStorage
unsigned char | bytepad [5]
unsigned short | eventNumber
unsigned short | sps
unsigned short | apw
unsigned short | preEvent
unsigned short | postEvent
unsigned short | minRunTime
short | VotesToTrigger
short | VotesToDetrigger
char | bytepada
unsigned char | FilterType
unsigned char | DataFmt
char | Reserved
short | Timeout
unsigned short | TxBlkSize
unsigned short | BufferSize
unsigned short | SampleRate
unsigned long | TxChanMap
long | dwordpad [2]
VOTER_INFO | voterInfo [STREAM_K2_MAX_VOTERS]

## Member Data Documentation

unsigned short STREAM_K2_RW_PARMS::apw

| Definition at line 546 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::BufferSize

| Definition at line 560 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::bytepad[5]

| Definition at line 543 of file kwhdrs_ew.h.

char STREAM_K2_RW_PARMS::bytepada

| Definition at line 554 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::DataFmt

| Definition at line 556 of file kwhdrs_ew.h.

long STREAM_K2_RW_PARMS::dwordpad[2]

| Definition at line 563 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::eventNumber

| Definition at line 544 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::filterFlag

| Definition at line 538 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::FilterType

| Definition at line 555 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::minRunTime

| Definition at line 549 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::postEvent

| Definition at line 548 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::preEvent

| Definition at line 547 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::primaryStorage

| Definition at line 541 of file kwhdrs_ew.h.

char STREAM_K2_RW_PARMS::Reserved

| Definition at line 557 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::SampleRate

| Definition at line 561 of file kwhdrs_ew.h.

unsigned char STREAM_K2_RW_PARMS::secondaryStorage

| Definition at line 542 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::sps

| Definition at line 545 of file kwhdrs_ew.h.

short STREAM_K2_RW_PARMS::Timeout

| Definition at line 558 of file kwhdrs_ew.h.

unsigned short STREAM_K2_RW_PARMS::TxBlkSize

| Definition at line 559 of file kwhdrs_ew.h.

unsigned long STREAM_K2_RW_PARMS::TxChanMap

| Definition at line 562 of file kwhdrs_ew.h.

struct VOTER_INFO STREAM_K2_RW_PARMS::voterInfo[STREAM_K2_MAX_VOTERS]

| Definition at line 570 of file kwhdrs_ew.h.

short STREAM_K2_RW_PARMS::VotesToDetrigger

| Definition at line 551 of file kwhdrs_ew.h.

short STREAM_K2_RW_PARMS::VotesToTrigger

| Definition at line 550 of file kwhdrs_ew.h.

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h